## ros-indigo-wpi-jaco-wrapper 0.0.25

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(wpi_jaco_wrapper)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS actionlib controller_manager control_msgs ecl_geometry hardware_interface wpi_jaco_msgs jaco_sdk rail_manipulation_msgs roscpp sensor_msgs std_msgs std_srvs)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(jaco_arm_trajectory_node src/jaco_arm_trajectory_node.cpp)
## Specify libraries to link a library or executable target against
target_link_libraries(jaco_arm_trajectory_node
  ${catkin_LIBRARIES}
)
## Add cmake target dependencies of the executable/library
add_dependencies(jaco_arm_trajectory_node wpi_jaco_msgs_gencpp)

## Declare a cpp executable
add_executable(jaco_manipulation src/jaco_manipulation.cpp)
## Specify libraries to link a library or executable target against
target_link_libraries(jaco_manipulation
  ${catkin_LIBRARIES}
)
## Add cmake target dependencies of the executable/library
add_dependencies(jaco_manipulation wpi_jaco_msgs_gencpp rail_manipulation_msgs_gencpp)

## Declare a cpp executable
add_executable(jaco_kinematics src/jaco_kinematics.cpp)
## Specify libraries to link a library or executable target against
target_link_libraries(jaco_kinematics
  ${catkin_LIBRARIES}
)
## Add cmake target dependencies of the executable/library
add_dependencies(jaco_kinematics wpi_jaco_msgs_gencpp)

## Declare a cpp executable
add_executable(jaco_conversions src/jaco_conversions.cpp)
## Specify libraries to link a library or executable target against
target_link_libraries(jaco_conversions
  ${catkin_LIBRARIES}
)
## Add cmake target dependencies of the executable/library
add_dependencies(jaco_conversions wpi_jaco_msgs_gencpp)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS jaco_conversions jaco_kinematics jaco_manipulation jaco_arm_trajectory_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

## Copy config files
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

=== debian/changelog ===
ros-indigo-wpi-jaco-wrapper (0.0.25-0trusty) trusty; urgency=high

  * small bugfix on arm initialization status
  * Fixed a trajectory following bug involving trajectories coming in from MoveIt
  * Bugfix for kinova_gripper param
  * Added kinova_gripper parameter, setting it to false will remove the action servers specifically using the two- or three-fingered kinova gripper designed for use with the jaco or mico
  * Added initial support for the Jaco2 arm, see readme for details
  * Added initial support for the Jaco2 arm, see readme for details
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.24-0trusty) trusty; urgency=high

  * reverted changelog
  * changelog updated
  * Added parameter to make homing the arm on initialization optional
  * Added a fingers_controller_radian action server to better integrate with MoveIt! using joint_state information for gripper close/open actions
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.23-0trusty) trusty; urgency=high

  * Adjusted startup delay on gripper action finished check
  * Fixes to sometimes incorrect reporting of gripper action result in the jaco_manipulation action server
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Mon, 04 May 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.22-0trusty) trusty; urgency=high

  * Removed an out of date debug statement that was filling up the logs
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.21-0trusty) trusty; urgency=high

  * Check if InitApi is succesful.
  * Contributors: Mathijs de Langen

 -- David Kent <davidkent@wpi.edu>  Fri, 17 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.20-0trusty) trusty; urgency=high

  * typo
  * Server starts immediately and we check if the arm is initialized in the callback function
  * Revert "file not used"
    This reverts commit 51053ff0f7325aef8ee1345cefbe790f48ba003b.
  * file not used
  * Forgotten { during merge
  * Merge branch 'develop' of https://github.com/RobotRose/wpi_jaco into develop
    Conflicts:
    wpi_jaco_wrapper/include/wpi_jaco_wrapper/jaco_arm_trajectory_node.h
    wpi_jaco_wrapper/launch/arm.launch
    wpi_jaco_wrapper/src/jaco_arm_trajectory_node.cpp
  * default to mico_arm for us :P
  * moveitmodel
  * Making the jaco_arm_trajectory node work for MoveIt! with the Mico
  * Made some remapping for the arm.launch (so the topics are in order)
  * Finger speed added as constant (3000 is ~half of the Mico speeds)
  * debug ON
  * Changed joint_state publisher to what MoveIt! understands (change back in future)
  * movements somewhat slower
  * Finger speed added as constant (3000 is ~half of the Mico speeds)
  * Merge remote-tracking branch 'upstream/master' into develop
  * debug ON
  * Changed joint_state publisher to what MoveIt! understands (change back in future)
  * movements somewhat slower
  * Contributors: Mathijs de Langen

 -- David Kent <davidkent@wpi.edu>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.19-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.18-0trusty) trusty; urgency=high

  * Publish a message after the arm homes using the kinova api
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.17-0trusty) trusty; urgency=high

  * CMake typo fix
  * install files missing
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.16-0trusty) trusty; urgency=high

  * Removed some debugging output
  * Put back the remapping
  * Removed the *0.8 for testing
  * Added some comments for the parameters
  * finger_threshold, made error counting for mico depend on two/three fingers
  * added finger_error_threshold as configurable parameter
  * added finger_error_threshold as configurable parameter
  * Moved the } two lines to below (WRONG MERGE:/)
  * removed space
  * recommented stuff
  * for loops for the fingers
  * newline
  * Newlines at end of file
  * Load params for each node
  * Deal with different number of fingers
  * Removed test code
  * private nodehandle not needed
  * Made num finger joints configurable
  * added parameters, fixed typo
  * forgotten nodehandle
  * actionlib typedefs, made actionlib constructs pointer so parameters can be loaded first
  * Synced all topics names with arm_name_
  * conversions topic uses arm name parameter
  * made loadParameters a const function
  * Renamed variables to follow ROS naming conventions
  * Topic renaming
  * Renamed topics
  * Made jaco_arm_trajectory_node configurable
  * Configurable parameters via #defines added
  * Missing a lock in the gripper action server, should fix a potential crash with the jaco
  * Changed gripper action success conditions to better reflect reality
  * Removed redundant messages
  * Updated jaco interaction to use the new rail_manipulation_msgs
  * Switched jaco_manipulation to use rail_manipulation_msgs
  * Contributors: David Kent, Mathijs de Langen

 -- David Kent <davidkent@wpi.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.15-0trusty) trusty; urgency=high

  * Documentation
  * adjustment to erase trajectories service
  * Merge branch 'develop' of https://github.com/RIVeR-Lab/wpi_jaco into develop
  * Added some minor service calls to support some other packages
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-wpi-jaco-wrapper (0.0.14-0trusty) trusty; urgency=high

  * Added software estop for the arm
  * Contributors: David Kent



=== debian/control ===
Source: ros-indigo-wpi-jaco-wrapper
Section: misc
Priority: extra
Maintainer: David Kent <dekent@gatech.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-controller-manager, ros-indigo-ecl-geometry, ros-indigo-hardware-interface, ros-indigo-jaco-sdk, ros-indigo-rail-manipulation-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-wpi-jaco-msgs
Homepage: http://ros.org/wiki/wpi_jaco_wrapper
Standards-Version: 3.9.2

Package: ros-indigo-wpi-jaco-wrapper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-control-msgs, ros-indigo-controller-manager, ros-indigo-ecl-geometry, ros-indigo-hardware-interface, ros-indigo-jaco-sdk, ros-indigo-rail-manipulation-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-wpi-jaco-msgs
Description: ROS Wrapper for the JACO Arm Developed at WPI

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-wpi-jaco-wrapper//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
